Status: Closed

Priority: Normal

Category:

Customer: VW Product Issue https://www.cip.audi.de/jira/browse/ACO

Numbers: RE-8420;

https://www.cip.audi.de/jira/browse/ACO
RE-10296;
https://www.cip.audi.de/jira/browse/ACO
RE-10400

Department: EFFX Affected Products: ADTF 3.6.3

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::XSystem

Resolution: Known Problem FAQ Links:

Description

Supportanfrage

Wahrend meiner ersten Schritte mit ADTF3 bin ich schon bei Getting Started Uber das erste Problem gestolpert. In meinem
jungfreulichen ADTF wurden das MediaDescriptionDisplay und das VideoDisplay nicht angezeigt. Auch wenn Ihr im Guide schreibt
"The widget visibility is disabled, so please right-click on any free space in the XSystem Main Window and enable/disable the widgets
you like or dislike", so stimmt das ja leider nicht ganz. Man kann die Fenster nur aktivieren, wenn man in die Kopfzeile eines
vorhandenen Widgets clickt, nicht irgendwohin.

Bitte nicht falsch verstehen, ich will nicht pedantisch oder kleinlich sein, aber wenn man als Neuling von ADTF3 "Getting Started"
ausprobiert und es sich dann nicht so verhalt wie beschrieben, dann schreckt das schon irgendwie ab. Auch das Youtube-Video
macht ja den Eindruck, das alles "out-of-the-box" lauft: https://www.youtube.com/watch?v=3vaFvHo2Fjo

Vielleicht kénntet Ihr hier in der Doku noch ein wenig darauf eingehen oder den Screenshot anpassen mit entsprechendem
Kontextmenu, wie z.B. im Anhang.

Als die beiden Widgets nicht funktioniert hatten, dachte ich zunachst es liegt daran, dass die Beispiele vielleicht mit einer alten
Version erstellt wurden, sich in der Zwischenzeit etwas verandert hat und es deshalb nicht funktioniert. Daher hatte ich auch &ltere
ADTF3-Versionen probiert. Das Verhalten war im gleich, aber mir ist aufgefallen, dass es die Warnings nicht gibt (siehe Screenshot).
Auch das schreckt natdrlich bei "Getting Started" etwas ab.

20 | warning | 2020-02-11 13:10:33 | QWidget::setLayout: Attempting to set QLayout "" on
cDockedWindow "", which already has a layout | <na>:0

Wenn ich mir es richtig zusammengereimt habt, wird das Layout tber die .adtfuilayout Dateien festgelegt. Gibt es Informationen zum
Syntax dieser Dateien, sodass diese manuell oder per Skript angepasst werden kénnen?

Lésung

wahrend meiner ersten Schritte mit ADTF3 bin ich schon bei Getting Started Uber das erste Problem gestolpert. In meinem
jungfreulichen ADTF wurden das MediaDescriptionDisplay und das VideoDisplay nicht angezeigt. Auch wenn lhr im Guide
schreibt "The widget visibility is disabled, so please right-click on any free space in the XSystem Main Window and
enable/disable the widgets you like or dislike", so stimmt das ja leider nicht ganz. Man kann die Fenster nur aktivieren, wenn
man in die Kopfzeile eines vorhandenen Widgets clickt, nicht irgendwohin.

Das Thema Layout zur Laufzeit ist wirklich ein leidiges Thema. Wir sind hier immer noch in Uberarbeitung (ACORE-8420), weil hier
uns Qt und die unterschiedlichen Runlevel reingratschen.

Das Problem ist das beim ersten Start Fenster fehlen (kénnen), wenn sich das System beendet wird das Layout gespeichert und die
Fenster sind dann vorhanden (wenn sie vorher aktiviert wurden).

Zum Aktvieren nutzen wir das Bordmittel von Qt mit dem Rechtsklick. Und das ist die Krux: Bei einem ist kein Widget da (bei mir),
beim anderen ein (wie bei dir).

Dementsprechend kann ich "irgendwo" in freien Raum" klicken und du auf den freien Raum Uber einen Widget...

Das ist leider schwer zu dokumentieren, ich denk nochmal driiber nach...
https://www.youtube.com/watch?v=3vaFvHo2Fjo

Woran wir aber arbeiten, ist eine Menuleiste im XSystem (ACORE-10296) u.a. mit einen View Eintrag, wo ich Fenster (in)visible
schalten kann, ahnlich einen Windowmanager, was ja das XSystem ist.
Das sticht schon mal mehr ins Auge und sollte das Problem zumindest I6sen, unabh&ngig vom Layouting Thema insgesamt.

Bitte nicht falsch verstehen, ich will nicht pedantisch oder kleinlich sein, aber wenn man als Neuling von ADTF3 "Getting
Started" ausprobiert und es sich dann nicht so verhalt wie beschrieben, dann schreckt das schon irgendwie ab.

Nein, bitte immer Rickmeldung geben ! Nur durchs Feedback und Use Cases der Kunden, den Austausch und
Workshops/Abwendertage bringen wir das Produkt voran, gerade was Doku betrifft sind wir sicherlich viel besser geworden, haben
aber sicherlich auch die "Produktblindheit”

Auch das Youtube-Video macht ja den Eindruck, das alles "out-of-the-box" 1auft:
https://www.youtube.com/watch?v=3vaFvHo2Fjo

Bitte die Videos ignorieren, die sind imho vom Ansatz richtig aber bringen nicht wirklich weiter, ich lege hier immer die SDK Doku,

Guides und Keytopics an Herz.

An neuen Videos bzw. Webinaren wird gearbeitet, ich konnte mich bisher leider nicht durchsetzen, die Videos runter zu nehmen...
Vielleicht kénntet Ihr hier in der Doku noch ein wenig darauf eingehen oder den Screenshot anpassen mit entsprechendem
Kontextmenu, wie z.B. im Anhang.

Ich werde das Bild erganzen.

Wenn ich mir es richtig zusammengereimt habt, wird das Layout (ber die .adtfuilayout Dateien festgelegt.

Korrekt.

Gibt es Informationen zum Syntax dieser Dateien, sodass diese manuell oder per Skript angepasst werden kénnen?

Nein, auch aus guten Grund, wir wollen versuchen das im Tooling sicherzustellen.

History

#1 - 2020-02-13 13:00 - hidden
- Project changed from Public Support to 20
- Status changed from New to In Progress

- Topic set to ADTF::XSystem

#2 - 2020-02-13 14:31 - hidden
- Status changed from In Progress to Customer Feedback Required
- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-8420; https://www.cip.audi.de/jira/browse/ACORE-10296

Hallo Jens,

wahrend meiner ersten Schritte mit ADTF3 bin ich schon bei Getting Started iber das erste Problem gestolpert. In meinem jungfreulichen ADTF
wurden das MediaDescriptionDisplay und das VideoDisplay nicht angezeigt. Auch wenn lhr im Guide schreibt "The widget visibility is disabled,
so please right-click on any free space in the XSystem Main Window and enable/disable the widgets you like or dislike", so stimmt das ja leider
nicht ganz. Man kann die Fenster nur aktivieren, wenn man in die Kopfzeile eines vorhandenen Widgets clickt, nicht irgendwohin.

Das Thema Layout zur Laufzeit ist wirklich ein leidiges Thema. Wir sind hier immer noch in Uberarbeitung (ACORE-8420), weil hier uns Qt und die
unterschiedlichen Runlevel reingratschen.

Das Problem ist das beim ersten Start Fenster fehlen (kénnen), wenn sich das System beendet wird das Layout gespeichert und die Fenster sind
dann vorhanden (wenn sie vorher aktiviert wurden).

Zum Aktvieren nutzen wir das Bordmittel von Qt mit dem Rechtsklick. Und das ist die Krux: Bei einem ist kein Widget da (bei mir), beim anderen ein
(wie bei dir).

Dementsprechend kann ich "irgendwo" in freien Raum" klicken und du auf den freien Raum Uber einen Widget...

Das ist leider schwer zu dokumentieren, ich denk nochmal driiber nach...

Woran wir aber arbeiten, ist eine Menuleiste im XSystem (ACORE-10296) u.a. mit einen View Eintrag, wo ich Fenster (in)visible schalten kann,
https://www.youtube.com/watch?v=3vaFvHo2Fjo

ahnlich einen Windowmanager, was ja das XSystem ist.
Das sticht schon mal mehr ins Auge und sollte das Problem zumindest I16sen, unabhé&ngig vom Layouting Thema insgesamt.

Bitte nicht falsch verstehen, ich will nicht pedantisch oder kleinlich sein, aber wenn man als Neuling von ADTF3 "Getting Started" ausprobiert
und es sich dann nicht so verhdlt wie beschrieben, dann schreckt das schon irgendwie ab.
Nein, bitte immer Rickmeldung geben ! Nur durchs Feedback und Use Cases der Kunden, den Austausch und Workshops/Abwendertage bringen wir

das Produkt voran, gerade was Doku betrifft sind wir sicherlich viel besser geworden, haben aber sicherlich auch die "Produktblindheit”

Auch das Youtube-Video macht ja den Eindruck, das alles "out-of-the-box" |&uft: https://www.youtube.com/watch?v=3vaFvHo2Fjo

Bitte die Videos ignorieren, die sind imho vom Ansatz richtig aber bringen nicht wirklich weiter, ich lege hier immer die SDK Doku, Guides und
Keytopics an Herz.
An neuen Videos bzw. Webinaren wird gearbeitet, ich konnte mich bisher leider nicht durchsetzen, die Videos runter zu nehmen...

Vielleicht kénntet Ihr hier in der Doku noch ein wenig darauf eingehen oder den Screenshot anpassen mit entsprechendem Kontextmenu, wie
z.B. im Anhang.

Ich werde das Bild ergénzen.

Wenn ich mir es richtig zusammengereimt habt, wird das Layout Uber die .adtfuilayout Dateien festgelegt.

Korrekt.

Gibt es Informationen zum Syntax dieser Dateien, sodass diese manuell oder per Skript angepasst werden kénnen?

Nein, auch aus guten Grund, wir wollen versuchen das im Tooling sicherzustellen.

#3 - 2020-02-14 08:30 - hidden

Hallo Florian,

danke fur die Rickmeldung, das passt so fur mich.
Viele GruB3e

Jens

#4 - 2020-02-14 10:14 - hidden

- Project changed from 20 to Public Support

- Subject changed from adftfuilayout Frage/Anmerkung to Guides getting started vs adtfuilayout
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Product Issue Numbers changed from https.//www.cip.audi.de/jira/browse/ACORE-8420; https://www.cip.audi.de/jira/browse/ACORE-10296 to
https://www.cip.audi.de/jira/browse/ACORE-8420; https://www.cip.audi.de/jira/browse/ACORE-10296;
https://www.cip.audi.de/jira/browse/ACORE-10400

#7 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed

Files

Demo_Playback.png 198 KB 2020-02-11 hidden
